Bug 1510411 - Mark "PrintScreen" translatable as "Ctrl+Alt+Fx" keys
Summary: Mark "PrintScreen" translatable as "Ctrl+Alt+Fx" keys
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-viewer
Version: 7.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Virt Viewer Maint
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-07 10:54 UTC by Xiaodai Wang
Modified: 2019-08-06 13:07 UTC (History)
8 users (show)

Fixed In Version: virt-viewer-5.0-12.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-06 13:07:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2229 None None None 2019-08-06 13:07:49 UTC

Description Xiaodai Wang 2017-11-07 10:54:17 UTC
Description of problem:
Mark "PrintScreen" untranslatable explicitly as "Ctrl+Alt+Fx" keys

Version-Release number of selected component (if applicable):
virt-viewer-5.0-8.el7.x86_64

How reproducible:
100%

Steps to Reproduce:

Now that PrintScreen key is not translatable, i think it's better to mark it as untranslatable explicitly as "Ctrl+Alt" keys.
So that other QAs will not have questions about this key.

virt-viewer-window.c:560:    { { GDK_KEY_Print, GDK_KEY_VoidSymbol }, "_PrintScreen", NULL},

Aug 01 17:08:33 <xiaodwan>  pgrunt, should "PrintScreen" be set to translatable?                                                                                                              
Aug 01 17:19:07 <pgrunt>    xiaodwan: I don't know, do you think so ?                                                                                                                         
Aug 01 17:20:01 <pgrunt>    in the menu it refers to the PrintScreen button                                                                                                                   
Aug 01 17:20:39 <pgrunt>    i would say that it is international, like "Alt", "Ctrl"...                                                                                                       
Aug 01 17:22:46 <pgrunt>    xiaodwan: if we are talking about "Send Key" menu, then I would keep it "PrintScreen"                                                                             
Aug 01 17:25:11 <xiaodwan>  pgrunt, yeah. i thought it was a menu item but a system key...  then it's find to keep it.                                                                        
Aug 01 17:25:25 <xiaodwan>  s/find/fine                                                                                                                                                                                                                                                                                              
Aug 01 17:36:39 <teuf>  pgrunt_afk: xiaodwan: I've seen PrintScreen translated on at least some French keyboards                                                                              
Aug 01 17:36:48 <teuf>  not sure how widespread it is these days                                                                                                                              
Aug 01 17:43:18 <xiaodwan>  teuf, yeah. if 'PrintScreen' need translate, i think 'ctrl'&'alt' should be translated, too. :-)
Aug 01 17:45:31 <teuf>  gtk+ marks all these keys as translatable wiw

Actual results:
None

Expected results:
None

Additional info:
None

Comment 2 Christophe Fergeau 2017-11-07 13:26:20 UTC
Is this bug about marking the "PrintScreen" string as translatable in virt-viewer? (currently it cannot be translated, contrary to "Ctrl+Alt+f10")
Or is this about removing the translatable marker from "Ctrl+Alt+fxx"?
Imo we should go for the former:

diff --git a/src/virt-viewer-window.c b/src/virt-viewer-window.c
index af3441f..6f07091 100644
--- a/src/virt-viewer-window.c
+++ b/src/virt-viewer-window.c
@@ -557,7 +557,7 @@ static const struct keyComboDef keyCombos[] = {
     { { GDK_KEY_Control_L, GDK_KEY_Alt_L, GDK_KEY_F11, GDK_KEY_VoidSymbol }, N_("Ctrl+Alt+F11"), NULL},
     { { GDK_KEY_Control_L, GDK_KEY_Alt_L, GDK_KEY_F12, GDK_KEY_VoidSymbol }, N_("Ctrl+Alt+F12"), NULL},
     { { GDK_KEY_VoidSymbol }, "" , NULL},
-    { { GDK_KEY_Print, GDK_KEY_VoidSymbol }, "_PrintScreen", NULL},
+    { { GDK_KEY_Print, GDK_KEY_VoidSymbol }, N_("_PrintScreen"), NULL},
 };
 
 static guint

Comment 3 Xiaodai Wang 2017-11-08 03:02:58 UTC
> -    { { GDK_KEY_Print, GDK_KEY_VoidSymbol }, "_PrintScreen", NULL},
> +    { { GDK_KEY_Print, GDK_KEY_VoidSymbol }, N_("_PrintScreen"), NULL},
>  };
>  
>  static guint

Yes, i want to mark as above. I used to misunderstand the meaning of N_().

Comment 4 Christophe Fergeau 2018-01-09 14:23:13 UTC
Patch sent upstream https://www.redhat.com/archives/virt-tools-list/2018-January/msg00008.html

Comment 7 zhoujunqin 2019-05-08 08:10:31 UTC
Since code change is included in latest version virt-viewer-5.0-13.el7.x86_64, I move this bug from ON_QA to VERIFIED.

Comment 9 errata-xmlrpc 2019-08-06 13:07:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2229


Note You need to log in before you can comment on or make changes to this bug.